use keygen::Person;

mod keygen;
mod pollard_rho;
mod utils;

fn main() {
    let mut alice = Person::new("alice");
    let mut bob = Person::new("bob");
    Person::diffie_hellman(&mut alice, &mut bob);
    alice.send(b"Hello World", &bob);
    /*
    let mut n = 0;
    while n % 2 == 0 {
        n = rand::random::<u16>();
    }
    let n_primediv = pollard_rho::pollard_rho(n.into());
    eprintln!(
        "Generated random number {}, got prime divisor {}",
        n, n_primediv
    );
    */
}
